import request from '@/utils/request';

/*
 * 分页查询
 */
export const getSysResource = (params) => request('/api/sysResource', { params });

/*
 * 新增数据
 */
export const postSysResource = (data) => request('/api/sysResource', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
export const getSysResourceById = (id) => request(`/api/sysResource/${id}`);

/*
 * 更新数据
 */
export const putSysResource = (id, data) => request(`/api/sysResource/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteSysResource = (id) => request(`/api/sysResource/${id}`, { method: 'delete' });
